<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelExpression Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelExpression Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelExpression" --><!-- doxytag: inherits="iBase" -->
<p>Interface for a single expression.  
 <a href="structiCelExpression.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="expression_8h_source.html">tools/expression.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelExpression:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelExpression.png" usemap="#iCelExpression_map" alt=""/>
  <map id="iCelExpression_map" name="iCelExpression_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,96,24"/>
</map>
 </div></div>

<p><a href="structiCelExpression-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2">Execute</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity, <a class="el" href="structcelData.html">celData</a> &amp;ret, <a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute this expression.  <a href="#a39fa6d3bca5feb923c6acc88806673d2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#a821d0efb2663d020a53c7e87902e226f">FindLocalVariable</a> (const char *name) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find a local variable for this expression.  <a href="#a821d0efb2663d020a53c7e87902e226f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsStringArray.html">csStringArray</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#a135d663d70f628d7ad067591f4c1a3b5">GetLocalVariables</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an array of local variables.  <a href="#a135d663d70f628d7ad067591f4c1a3b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#a4b96ae366136f80dab0e1293953c5b62">SetLocalVariable</a> (size_t idx, const <a class="el" href="structcelData.html">celData</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value of a local variable.  <a href="#a4b96ae366136f80dab0e1293953c5b62"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#a2c52aa227424bb5b9e0049b8c4a91f61">SetLocalVariableBool</a> (size_t idx, bool value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>.  <a href="#a2c52aa227424bb5b9e0049b8c4a91f61"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#a3b196f98b60a84055fda306e9eab469a">SetLocalVariableColor</a> (size_t idx, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>.  <a href="#a3b196f98b60a84055fda306e9eab469a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#a8742cec238fe014e1bbb4961b9eaa73c">SetLocalVariableFloat</a> (size_t idx, float value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>.  <a href="#a8742cec238fe014e1bbb4961b9eaa73c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#ac841cd8f0e024dc34558c3d8627a854f">SetLocalVariableLong</a> (size_t idx, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gab7903878916593daecbeb95b98115ab0">int32</a> value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>.  <a href="#ac841cd8f0e024dc34558c3d8627a854f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#a51e65b56ed9884b298cc3ae0cd8c1dbe">SetLocalVariableString</a> (size_t idx, const char *value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>.  <a href="#a51e65b56ed9884b298cc3ae0cd8c1dbe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#a9f709184e1dde4615155c9fbe4a1a9eb">SetLocalVariableULong</a> (size_t idx, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>.  <a href="#a9f709184e1dde4615155c9fbe4a1a9eb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#affd0e78690f324b72e6f58810fbcd25c">SetLocalVariableVector2</a> (size_t idx, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>.  <a href="#affd0e78690f324b72e6f58810fbcd25c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelExpression.html#a5b9b8476fd4ac8ca3036df0a08db3705">SetLocalVariableVector3</a> (size_t idx, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>.  <a href="#a5b9b8476fd4ac8ca3036df0a08db3705"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Interface for a single expression. </p>

<p>Definition at line <a class="el" href="expression_8h_source.html#l00037">37</a> of file <a class="el" href="expression_8h_source.html">expression.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a39fa6d3bca5feb923c6acc88806673d2"></a><!-- doxytag: member="iCelExpression::Execute" ref="a39fa6d3bca5feb923c6acc88806673d2" args="(iCelEntity *entity, celData &amp;ret, iCelParameterBlock *params=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2">iCelExpression::Execute</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structcelData.html">celData</a> &amp;&#160;</td>
          <td class="paramname"><em>ret</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Execute this expression. </p>
<p>Return the result of the expression in 'ret'. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity</td><td>is an optional entity context. </td></tr>
    <tr><td class="paramname">ret</td><td>is the return value of the expression. </td></tr>
    <tr><td class="paramname">params</td><td>is an optional parameter block. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>false if there is an error. </dd></dl>

</div>
</div>
<a class="anchor" id="a821d0efb2663d020a53c7e87902e226f"></a><!-- doxytag: member="iCelExpression::FindLocalVariable" ref="a821d0efb2663d020a53c7e87902e226f" args="(const char *name) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelExpression.html#a821d0efb2663d020a53c7e87902e226f">iCelExpression::FindLocalVariable</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find a local variable for this expression. </p>
<p>Returns csArrayItemNotFound if local variable is not present. </p>

</div>
</div>
<a class="anchor" id="a135d663d70f628d7ad067591f4c1a3b5"></a><!-- doxytag: member="iCelExpression::GetLocalVariables" ref="a135d663d70f628d7ad067591f4c1a3b5" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsStringArray.html">csStringArray</a>&amp; <a class="el" href="structiCelExpression.html#a135d663d70f628d7ad067591f4c1a3b5">iCelExpression::GetLocalVariables</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an array of local variables. </p>

</div>
</div>
<a class="anchor" id="a4b96ae366136f80dab0e1293953c5b62"></a><!-- doxytag: member="iCelExpression::SetLocalVariable" ref="a4b96ae366136f80dab0e1293953c5b62" args="(size_t idx, const celData &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelExpression.html#a4b96ae366136f80dab0e1293953c5b62">iCelExpression::SetLocalVariable</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structcelData.html">celData</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the value of a local variable. </p>

</div>
</div>
<a class="anchor" id="a2c52aa227424bb5b9e0049b8c4a91f61"></a><!-- doxytag: member="iCelExpression::SetLocalVariableBool" ref="a2c52aa227424bb5b9e0049b8c4a91f61" args="(size_t idx, bool value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelExpression.html#a2c52aa227424bb5b9e0049b8c4a91f61">iCelExpression::SetLocalVariableBool</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>. </p>

</div>
</div>
<a class="anchor" id="a3b196f98b60a84055fda306e9eab469a"></a><!-- doxytag: member="iCelExpression::SetLocalVariableColor" ref="a3b196f98b60a84055fda306e9eab469a" args="(size_t idx, const csColor &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelExpression.html#a3b196f98b60a84055fda306e9eab469a">iCelExpression::SetLocalVariableColor</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>. </p>

</div>
</div>
<a class="anchor" id="a8742cec238fe014e1bbb4961b9eaa73c"></a><!-- doxytag: member="iCelExpression::SetLocalVariableFloat" ref="a8742cec238fe014e1bbb4961b9eaa73c" args="(size_t idx, float value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelExpression.html#a8742cec238fe014e1bbb4961b9eaa73c">iCelExpression::SetLocalVariableFloat</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>. </p>

</div>
</div>
<a class="anchor" id="ac841cd8f0e024dc34558c3d8627a854f"></a><!-- doxytag: member="iCelExpression::SetLocalVariableLong" ref="ac841cd8f0e024dc34558c3d8627a854f" args="(size_t idx, int32 value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelExpression.html#ac841cd8f0e024dc34558c3d8627a854f">iCelExpression::SetLocalVariableLong</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gab7903878916593daecbeb95b98115ab0">int32</a>&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>. </p>

</div>
</div>
<a class="anchor" id="a51e65b56ed9884b298cc3ae0cd8c1dbe"></a><!-- doxytag: member="iCelExpression::SetLocalVariableString" ref="a51e65b56ed9884b298cc3ae0cd8c1dbe" args="(size_t idx, const char *value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelExpression.html#a51e65b56ed9884b298cc3ae0cd8c1dbe">iCelExpression::SetLocalVariableString</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>. </p>

</div>
</div>
<a class="anchor" id="a9f709184e1dde4615155c9fbe4a1a9eb"></a><!-- doxytag: member="iCelExpression::SetLocalVariableULong" ref="a9f709184e1dde4615155c9fbe4a1a9eb" args="(size_t idx, uint32 value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelExpression.html#a9f709184e1dde4615155c9fbe4a1a9eb">iCelExpression::SetLocalVariableULong</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a>&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>. </p>

</div>
</div>
<a class="anchor" id="affd0e78690f324b72e6f58810fbcd25c"></a><!-- doxytag: member="iCelExpression::SetLocalVariableVector2" ref="affd0e78690f324b72e6f58810fbcd25c" args="(size_t idx, const csVector2 &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelExpression.html#affd0e78690f324b72e6f58810fbcd25c">iCelExpression::SetLocalVariableVector2</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>. </p>

</div>
</div>
<a class="anchor" id="a5b9b8476fd4ac8ca3036df0a08db3705"></a><!-- doxytag: member="iCelExpression::SetLocalVariableVector3" ref="a5b9b8476fd4ac8ca3036df0a08db3705" args="(size_t idx, const csVector3 &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelExpression.html#a5b9b8476fd4ac8ca3036df0a08db3705">iCelExpression::SetLocalVariableVector3</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the value of a local variable. Do this before calling <a class="el" href="structiCelExpression.html#a39fa6d3bca5feb923c6acc88806673d2" title="Execute this expression.">Execute()</a>. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="expression_8h_source.html">expression.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
